Skip to content

Get travel product by id

GET
/products/travel/{productId}

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Path Parameters

productId*
Type
string
Required

Responses

Success

application/json
JSON
{
  
"id": 0,
  
"createdAt": "string",
  
"updatedAt": "string",
  
"name": "string",
  
"description": "string",
  
"insurer": "string",
  
"insurerLogoUrl": "string",
  
"commissionRate": 0,
  
"packages": [
  
  
{
  
  
  
"id": 0,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"name": "string",
  
  
  
"duration": 0,
  
  
  
"durationType": "string",
  
  
  
"coverType": "string",
  
  
  
"premium": 0,
  
  
  
"premiumType": "string",
  
  
  
"description": "string",
  
  
  
"maxDependants": 0,
  
  
  
"minDependants": 0,
  
  
  
"dependents": [
  
  
  
  
{
  
  
  
  
}
  
  
  
],
  
  
  
"benefits": [
  
  
  
  
{
  
  
  
  
}
  
  
  
]
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Built with ❤️ by Hobbiton Technologies